/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

import request from '@/router/axios'

export function queryCharts(obj) {
  return request({
    url: '/windtowerstatusdata/queryCharts',
    method: 'post',
    data: obj
  })
}

export function getStation() {
  return request({
    url: '/electricfield/all',
    method: 'get'
  })
}

export function getWindtowerinfoByStationCode(obj) {
  return request({
    url: '/windtowerinfo/getByStationCode',
    method: 'post',
    data: obj
  })
}

export function queryTableData(obj) {
  return request({
    url: '/windtowerstatusdata/queryTableData',
    method: 'post',
    data: obj
  })
}

